NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Drawings.ViewWorkflowBuilder Class Reference

Represents a NXOpen.Drawings.ViewWorkflowBuilder More...

Inheritance diagram for NXOpen.Drawings.ViewWorkflowBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Display { DisplayandEmphasize, CurvesOnly }
 Represents the extracted edge face display option More...
 
enum  Handlingbodies { OmitBodiesfromView, StopUpdateandNotifyUser, StopUpdate, Generate }
 Represents option for handling bodies with no valid lightweight data More...
 
enum  HandlingBodiesType { OmitBodiesfromView, StopUpdateandNotifyUser, StopUpdate, Generate }
 Represents option for handling bodies with no valid lightweight data More...
 
enum  Splarcs { Always, NeverForAutomatic, Never }
 Represents the setting for splarcs geometry projected as arc option More...
 
enum  Style { Border, Wireframe, HiddenWireframe, Shaded }
 Represents the preview stle option More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.NXColor ActiveSketchViewColor [get, set]
 Returns or sets the active views border color More...
 
unsafe bool AssociativeAlignment [get, set]
 Returns or sets the associative alignment enable alignement between views More...
 
unsafe NXOpen.NXColor BorderColor [get, set]
 Returns or sets the border color of view More...
 
unsafe bool CursorTracking [get, set]
 Returns or sets the cursor tracking enable XC/YC coordinates in dynamic input boxes when placing a view on a drawing More...
 
unsafe bool DisplayBorders [get, set]
 Returns or sets the display view borders on the the drawing More...
 
unsafe bool EnableSmoothEdgesForLWView [get, set]
 Returns or sets the setting is not needed anymore because the smooth edges are correctly supported now for smart lightweight views. More...
 
unsafe
NXOpen.Drawings.ViewWorkflowBuilder.Display 
FaceDisplay [get, set]
 Returns or sets the face display provides options in an extracted edge view that are available for selection More...
 
unsafe
NXOpen.Drawings.ViewWorkflowBuilder.Handlingbodies 
HandlingBodies [get, set]
 Returns or sets the handling bodies provides option for update view without lightweight data More...
 
unsafe
NXOpen.Drawings.ViewWorkflowBuilder.HandlingBodiesType 
HandlingBodiesTypes [get, set]
 Returns or sets the handling bodies provides option for update view without lightweight data More...
 
unsafe int LargeAssemblyStepThreshold [get, set]
 Returns or sets the large assembly step threshold option establishes the minimum number of components (loaded or unloaded) a part may have to be considered a large assembly. More...
 
unsafe bool LoadComponentsOnDemand [get, set]
 Returns or sets whether or not to load the components on demand for smart lightweight views More...
 
unsafe bool OnLegacyViewUpdate [get, set]
 Returns or sets the on legacy view update determines whether or not components should be loaded as needed to update lightweight views More...
 
unsafe bool OnViewSelection [get, set]
 Returns or sets the on view selection determines whether or not components should be loaded as needed for selection in lightweight views for accurate dimensioning More...
 
unsafe
NXOpen.Drawings.ViewWorkflowBuilder.Style 
PreviewStyle [get, set]
 Returns or sets the style of the preview when adding a view to the drawing More...
 
unsafe
NXOpen.Drawings.ViewWorkflowBuilder.Splarcs 
SelectGeometryProjectedAsArcs [get, set]
 Returns or sets the Select Geometry Projected as Arcs provides options for selection of SPLARCs entity for centerlines and Annotations More...
 
unsafe bool ShowFacetEdges [get, set]
 Returns or sets the show facet edges determines whether or not facet edges will be shown on shaded faces when displaying a drawing sheet More...
 
unsafe bool UseLineAntialiasing [get, set]
 Returns or sets the use line antialiasing More...
 
unsafe bool UseTranslucency [get, set]
 Returns or sets the use translucency determines translucency settings for faces when displaying a drawing sheet More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Drawings.ViewWorkflowBuilder

Created in NX9.0.0

Member Enumeration Documentation

Represents the extracted edge face display option

Enumerator
DisplayandEmphasize 
CurvesOnly 

Represents option for handling bodies with no valid lightweight data

Enumerator
OmitBodiesfromView 
StopUpdateandNotifyUser 
StopUpdate 
Generate 

Represents option for handling bodies with no valid lightweight data

Enumerator
OmitBodiesfromView 
StopUpdateandNotifyUser 
StopUpdate 
Generate 

Represents the setting for splarcs geometry projected as arc option

Enumerator
Always 
NeverForAutomatic 
Never 

Represents the preview stle option

Enumerator
Border 
Wireframe 
HiddenWireframe 
Shaded 

Member Function Documentation

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.NXColor NXOpen.Drawings.ViewWorkflowBuilder.ActiveSketchViewColor
getset

Returns or sets the active views border color

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.AssociativeAlignment
getset

Returns or sets the associative alignment enable alignement between views

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Drawings.ViewWorkflowBuilder.BorderColor
getset

Returns or sets the border color of view

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.CursorTracking
getset

Returns or sets the cursor tracking enable XC/YC coordinates in dynamic input boxes when placing a view on a drawing

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.DisplayBorders
getset

Returns or sets the display view borders on the the drawing

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.EnableSmoothEdgesForLWView
getset

Returns or sets the setting is not needed anymore because the smooth edges are correctly supported now for smart lightweight views.

We recommend removing this call from existing programs.

Created in NX9.0.0

Deprecated in NX11.0.0. Replacement is not needed. We recommend removing this call from existing programs.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewWorkflowBuilder.Display NXOpen.Drawings.ViewWorkflowBuilder.FaceDisplay
getset

Returns or sets the face display provides options in an extracted edge view that are available for selection

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewWorkflowBuilder.Handlingbodies NXOpen.Drawings.ViewWorkflowBuilder.HandlingBodies
getset

Returns or sets the handling bodies provides option for update view without lightweight data

Created in NX9.0.0

Deprecated in NX9.0.3. Use NXOpen.Drawings.ViewWorkflowBuilder.HandlingBodiesTypes instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewWorkflowBuilder.HandlingBodiesType NXOpen.Drawings.ViewWorkflowBuilder.HandlingBodiesTypes
getset

Returns or sets the handling bodies provides option for update view without lightweight data

Created in NX9.0.3

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Drawings.ViewWorkflowBuilder.LargeAssemblyStepThreshold
getset

Returns or sets the large assembly step threshold option establishes the minimum number of components (loaded or unloaded) a part may have to be considered a large assembly.

When the number of components exceeds this number, the View Creation Wizard provides an extra step to optimize part settings for large assemblies. A value of zero will force the system to always use the optimized part settings for large assemblies

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.LoadComponentsOnDemand
getset

Returns or sets whether or not to load the components on demand for smart lightweight views

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.OnLegacyViewUpdate
getset

Returns or sets the on legacy view update determines whether or not components should be loaded as needed to update lightweight views

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.OnViewSelection
getset

Returns or sets the on view selection determines whether or not components should be loaded as needed for selection in lightweight views for accurate dimensioning

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewWorkflowBuilder.Style NXOpen.Drawings.ViewWorkflowBuilder.PreviewStyle
getset

Returns or sets the style of the preview when adding a view to the drawing

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewWorkflowBuilder.Splarcs NXOpen.Drawings.ViewWorkflowBuilder.SelectGeometryProjectedAsArcs
getset

Returns or sets the Select Geometry Projected as Arcs provides options for selection of SPLARCs entity for centerlines and Annotations

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.ShowFacetEdges
getset

Returns or sets the show facet edges determines whether or not facet edges will be shown on shaded faces when displaying a drawing sheet

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.UseLineAntialiasing
getset

Returns or sets the use line antialiasing

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewWorkflowBuilder.UseTranslucency
getset

Returns or sets the use translucency determines translucency settings for faces when displaying a drawing sheet

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.